Subject: Re: bug#38723: 27.0.50; macosx: [bootstrap-emacs.pdmp] Segmentation fault with ImageMagick
From: Stefan Kangas <[email-masked]>
To: Sam Steingold <[email-masked]>
Cc: Alan Third <[email-masked]>, [email-masked]
Date: Thu, 1 Oct 2020 05:50:42 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Sam Steingold <[email-masked]> writes:
>
>>> * Alan Third <[email-masked]> [2019-12-23 21:26:49 +0000]:
>>>
>>> On Mon, Dec 23, 2019 at 10:54:53AM -0500, Sam Steingold wrote:
>>>> (lldb) run --batch  -l loadup --temacs=pbootstrap
>>> <snip>
>>>> Loading /Users/sam.steingold/src/emacs/trunk/lisp/image.el (source)...
>>>> Process 60246 stopped
>>>> * thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x8)
>>>>     frame #0: 0x0000000100eebddc libomp.dylib`__kmp_set_indirect_lock(unsigned int*, int) + 14
>>>> libomp.dylib`__kmp_set_indirect_lock:
>>>> ->  0x100eebddc <+14>: movl   0x8(%rax), %edx
>>>>     0x100eebddf <+17>: movq   (%rcx,%rdx,8), %rcx
>>>>     0x100eebde3 <+21>: movq   (%rax), %rdi
>>>>     0x100eebde6 <+24>: popq   %rbp
>>>> Target 0: (temacs) stopped.
>>>> (lldb) bt
>>>> * thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x8)
>>>>   * frame #0: 0x0000000100eebddc libomp.dylib`__kmp_set_indirect_lock(unsigned int*, int) + 14
>>>>     frame #1: 0x0000000100ebfd10 libomp.dylib`__kmpc_set_lock + 189
>>>>     frame #2: 0x0000000100a8e835 libMagickCore-7.Q16HDRI.7.dylib`ActivateSemaphoreInfo + 39
>>>>     frame #3: 0x0000000100a1aa7e libMagickCore-7.Q16HDRI.7.dylib`GetMagickInfo + 58
>>>>     frame #4: 0x0000000100a1aed9 libMagickCore-7.Q16HDRI.7.dylib`GetMagickList + 104
>>>>     frame #5: 0x00000001001c44e2 temacs`Fimagemagick_types at image.c:9294:13 [opt]
>>>>     frame #6: 0x0000000100146b64 temacs`eval_sub(form=<unavailable>) at eval.c:2270:15 [opt]
>
> If I'm not mistaken, the crash here is within ImageMagick?  In other
> words, this is not a bug in Emacs?

No further comments within 5 weeks.  I'll therefore assume that the
above reasoning is correct, and I'm closing this bug now.

If the conclusion is incorrect and this is indeed an issue in Emacs,
please reply to this email (use "Reply to all" in your email client) and
we can reopen the bug report.